<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Uses of Class fr.ici.dataImporter.iciObjects.BuildingSimple</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="use: package: fr.ici.dataImporter.iciObjects, class: BuildingSimple">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.ici.dataImporter.iciObjects.BuildingSimple" class="title">Uses of Class<br>fr.ici.dataImporter.iciObjects.BuildingSimple</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects">
<h2>Uses of <a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Fields in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with type parameters of type <a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#lBuilding">lBuilding</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> that return types with arguments of type <a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingSimple.</span><code><span class="member-name-link"><a href="../BuildingSimple.html#importBuilding(java.io.File,java.io.File)">importBuilding</a></span>&#8203;(java.io.File&nbsp;buildingBDTopoFile,
java.io.File&nbsp;inseeLogementStat)</code></th>
<td class="col-last">
<div class="block">Import ICI buildings from IGN BDTOPO buildings and automatically generate a repartition for the housing sizes of buildings</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingSimple.</span><code><span class="member-name-link"><a href="../BuildingSimple.html#importBuilding(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">importBuilding</a></span>&#8203;(java.io.File&nbsp;buildingBDTopoFile,
java.io.File&nbsp;inseeLogementStat,
java.io.File&nbsp;apurPOI,
java.io.File&nbsp;workingPlacesFile,
java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">
<div class="block">Import ICI buildings from IGN BDTOPO buildings and automatically generate a repartition for the housing sizes of buildings.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingSimple.</span><code><span class="member-name-link"><a href="../BuildingSimple.html#importBuildingFromBDTopo(java.io.File)">importBuildingFromBDTopo</a></span>&#8203;(java.io.File&nbsp;buildingICI)</code></th>
<td class="col-last">
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingSimple.</span><code><span class="member-name-link"><a href="../BuildingSimple.html#importBuildingFromBDTopo(java.io.File,org.locationtech.jts.geom.Geometry)">importBuildingFromBDTopo</a></span>&#8203;(java.io.File&nbsp;buildingICI,
org.locationtech.jts.geom.Geometry&nbsp;mask)</code></th>
<td class="col-last">
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingSimple.</span><code><span class="member-name-link"><a href="../BuildingSimple.html#importBuildingFromICI(java.io.File)">importBuildingFromICI</a></span>&#8203;(java.io.File&nbsp;buildingICI)</code></th>
<td class="col-last">
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with parameters of type <a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Address.</span><code><span class="member-name-link"><a href="../Address.html#getClosestAddress(java.util.List,fr.ici.dataImporter.iciObjects.BuildingSimple,boolean,double)">getClosestAddress</a></span>&#8203;(java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress,
<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
boolean&nbsp;entrance,
double&nbsp;distanceToSeek)</code></th>
<td class="col-last">
<div class="block">Recursively look for an address meter by meter.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Address.</span><code><span class="member-name-link"><a href="../Address.html#getClosestEntrance(java.util.List,fr.ici.dataImporter.iciObjects.BuildingSimple,double)">getClosestEntrance</a></span>&#8203;(java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress,
<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
double&nbsp;distanceToSeek)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Address.</span><code><span class="member-name-link"><a href="../Address.html#getClosestParcel(java.util.List,fr.ici.dataImporter.iciObjects.BuildingSimple,double)">getClosestParcel</a></span>&#8203;(java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress,
<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
double&nbsp;distanceToSeek)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with type arguments of type <a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)">generateBuildingGroup</a></span>&#8203;(java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAdd,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisSFC)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Constructors in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with parameters of type <a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../BuildingGroup.html#%3Cinit%3E(fr.ici.dataImporter.iciObjects.BuildingSimple,fr.ici.dataImporter.iciObjects.Address,boolean)">BuildingGroup</a></span>&#8203;(<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&nbsp;add,
boolean&nbsp;entrance)</code></th>
<td class="col-last">
<div class="block">Create Building Group with an initial building</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Constructor parameters in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with type arguments of type <a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../BuildingGroup.html#%3Cinit%3E(java.util.List,fr.ici.dataImporter.iciObjects.Address,boolean)">BuildingGroup</a></span>&#8203;(java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&nbsp;add,
boolean&nbsp;entrance)</code></th>
<td class="col-last">
<div class="block">Create a new Building Group from multiple buildings.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
